## Copyright (C) 2018 Jens Ahrensfeld
## 
## This program is free software; you can redistribute it and/or modify it
## under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 3 of the License, or
## (at your option) any later version.
## 
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
## 
## You should have received a copy of the GNU General Public License
## along with this program.  If not, see <http://www.gnu.org/licenses/>.

## -*- texinfo -*- 
## @deftypefn {Function File} {@var{retval} =} vanDusen_eval (@var{input1}, @var{input2})
##
## @seealso{}
## @end deftypefn

## Author: Jens Ahrensfeld <ahrensfeld@w2ess001vm>
## Created: 2018-05-28

function [R, T] = vanDusen (R0, Tmin, Tmax, dT)

a = +3.90830e-03;
b = -5.77500e-07;
c = -4.18301e-12;

T = Tmin:dT:Tmax;

Rp0 = R0*(1 + a*T + b*T.^2);
Rm0 = Rp0 + R0*c*(T - 100).*T.^3;

for i=1:length(T)
	if (T(i) < 0)
		R(i) = Rm0(i);
	else
		R(i) = Rp0(i);
	endif
end

endfunction
